config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.postgresql.new:
if [ -e etc/rc.d/rc.postgresql ]; then
  cp -a etc/rc.d/rc.postgresql etc/rc.d/rc.postgresql.new.incoming
  cat etc/rc.d/rc.postgresql.new > etc/rc.d/rc.postgresql.new.incoming
  mv etc/rc.d/rc.postgresql.new.incoming etc/rc.d/rc.postgresql.new
fi

config etc/rc.d/rc.postgresql.new
config etc/logrotate.d/postgresql.new

( cd usr/bin ; rm -rf postmaster )
( cd usr/bin ; ln -sf postgres postmaster )
( cd usr/lib ; rm -rf libpgtypes.so )
( cd usr/lib ; ln -sf libpgtypes.so.3.0 libpgtypes.so )
( cd usr/lib ; rm -rf libecpg_compat.so.3 )
( cd usr/lib ; ln -sf libecpg_compat.so.3.0 libecpg_compat.so.3 )
( cd usr/lib ; rm -rf libpq.so.5 )
( cd usr/lib ; ln -sf libpq.so.5.1 libpq.so.5 )
( cd usr/lib ; rm -rf libecpg_compat.so )
( cd usr/lib ; ln -sf libecpg_compat.so.3.0 libecpg_compat.so )
( cd usr/lib ; rm -rf libecpg.so.6 )
( cd usr/lib ; ln -sf libecpg.so.6.0 libecpg.so.6 )
( cd usr/lib ; rm -rf libpq.so )
( cd usr/lib ; ln -sf libpq.so.5.1 libpq.so )
( cd usr/lib ; rm -rf libecpg.so )
( cd usr/lib ; ln -sf libecpg.so.6.0 libecpg.so )
( cd usr/lib ; rm -rf libpgtypes.so.3 )
( cd usr/lib ; ln -sf libpgtypes.so.3.0 libpgtypes.so.3 )

if ! grep -q postgres etc/group; then
        groupadd -g 73 postgres
fi
if ! grep -q postgres etc/passwd; then
        useradd -u 73 -g postgres -d /var/lib/pgsql  postgres
fi
chown -R postgres:postgres /var/lib/pgsql
